#include "Compiler.h"
#include "HardwareProfile.h"
#include "GenericTypeDefs.h"
#include "ff.h"

#define BOARD_SBDBT32       1

#if BOARD_SBDBT32
//
//for SBDBT32 board
//
// Configure LED1 - put on pin 14 (RB14)
#define	led1_setup()		(TRISBbits.TRISB14=0)
#define	led1_on()			(LATBbits.LATB14=0)	//ON
#define	led1_off()			(LATBbits.LATB14=1)	//OFF

// Configure LED2 - put on pin 15 (RB15)
#define	led2_setup()		(TRISBbits.TRISB15=0)
#define	led2_on()			(LATBbits.LATB15=0)	//ON
#define	led2_off()			(LATBbits.LATB15=1)	//OFF

#define SOCKWP	(0)					/* Write protected (yes:true, no:false, default:false) */
#define SOCKINS	!(PORTBbits.RB5)	/* Card inserted   (yes:true, no:false, default:true) */
#define	init_pullup()	{\
	CNPUEbits.CNPUE0=1;	/*MMC_DAT1 Pull-up*/	\
	CNPUEbits.CNPUE1=1;	/*MMC_DAT2 Pull-up*/	\
	CNPUEbits.CNPUE7=1;	/*MMC_CD Pull-up*/		\
	CNPUEbits.CNPUE9=1;	/*SDI2 Pull-up*/		\
}

/* Port Controls  (Platform dependent) */
#define CS_LOW()			LATGbits.LATG9 = 0	/* MMC CS = L */
#define CS_HIGH()			LATGbits.LATG9 = 1	/* MMC CS = H */


#endif
